/**
 * makes a JWT (JSON Web Token) for either the 'anon' database access or the 'service' database access
 *
 * @param role - whether to make a token for 'anon' access or for 'service' access.
 *
 * @param jwtSecret - the password to use when making the token. Must be at least 32 characters long.
 *
 * @returns a JWT
 *
 * @see https://supabase.com/docs/guides/hosting/overview#api-keys
 */
export declare function makeJWT(role: 'anon' | 'service', jwtSecret: string): string | undefined;
//# sourceMappingURL=makeJWT.d.ts.map