"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getDefaultEnvironmentVariables = getDefaultEnvironmentVariables;

var _promises = require("fs/promises");

var _path = require("path");

async function getDefaultEnvironmentVariables() {
  const ds
  /* (d)efault(s)tring */
  = await (0, _promises.readFile)((0, _path.resolve)(__dirname, '..', '..', 'docker', '.env.example'), 'utf-8');
  const da
  /* (d)efault(a)rray */
  = ds.split('\n').filter(line => line.match(/(^[^#].+?=.*$)/)).map(line => {
    const splitAt = line.indexOf('=');
    return [line.slice(0, splitAt), line.slice(splitAt + 1
    /* +1 to get rid of the '='*/
    )];
  }).map(keyValue => {
    if (keyValue[1] === 'true') return [keyValue[0], true];
    if (keyValue[1] === 'false') return [keyValue[0], false];
    if (keyValue[1] === 'undefined') return [keyValue[0], undefined];
    if (keyValue[1] === 'null') return [keyValue[0], null];
    const valueNumber = parseFloat(keyValue[1]);
    if (valueNumber) return [keyValue[0], valueNumber];
    return keyValue;
  });
  const defaults = {};
  da.forEach(d => {
    const [k, value] = d;
    const key = k;
    /* it will always be a string because of the previous array operators */

    defaults[key] = value;
  });
  return defaults;
}
//# sourceMappingURL=getDefaultEnvironmentVariables.js.map